# Finds POPT.
#
# This module defines:
# POPT_INCLUDE_DIRS
# POPT_LIBRARIES
#

find_package(PkgConfig)
pkg_check_modules(PC_POPT popt)

find_path(POPT_INCLUDE_DIR
          popt.h
          HINTS ${PC_POPT_INCLUDEDIR} ${PC_POPT_INCLUDE_DIRS})

find_library(POPT_LIBRARY
             NAMES popt
             HINTS ${PC_POPT_LIBDIR} ${PC_POPT_LIBRARY_DIRS} )

set(POPT_LIBRARIES ${POPT_LIBRARY})
set(POPT_INCLUDE_DIRS ${POPT_INCLUDE_DIR})

include(FindPackageHandleStandardArgs)
find_package_handle_standard_args(POPT DEFAULT_MSG
                                  POPT_LIBRARY POPT_INCLUDE_DIR)

mark_as_advanced(POPT_INCLUDE_DIR POPT_LIBRARY)
