/*
 * Copyright (c) 2014 - 2020 Honda Research Institute Japan Co., Ltd.
 * All rights reserved.
 * HARK was developed by researchers in Okuno Laboratory
 * at the Kyoto University and Honda Research Institute Japan Co.,Ltd.
 * 
 * Licensed under the HARK license, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * https://www.hark.jp/notice/HARK_License_Agreement.pdf
 */

void setxi( double *x, int nx, int m, double *xi );
void sethi( double *h, int n2, int m, int nh, int index, double *hi );
int as_fft( double *in, int nfft, rfftwnd_plan *p, fftw_complex *out );
int as_ifft( fftw_complex *in, int nfft, rfftwnd_plan *p, double *out );

int addwave( double *hi, int n1, int n2, double *wave, int index, int maxi );
void multiply( int n, fftw_complex *in1, fftw_complex *in2, fftw_complex *out );
void divide( int n, fftw_complex *in1, fftw_complex *in2, fftw_complex *out );
int cutwave( double *hi, int n1, int n2, double *wave, int index, int maxi );
fftw_complex *mallocSpec( int length );

int deconvolusion(double *h, int nh, double *x, int nx, double **wave);
int convolusion(double *h, int nh, double *x, int nx, double **wave);
void printdoubles(int m, double *wave);
int split( char *s1 ,  int *intCh );

